ICHSMB(4) | Device Drivers Manual | ICHSMB(4)

# NAME

`ichsmb` —
Intel Chipset internal SMBus controller

# SYNOPSIS

`ichsmb* at pci?`
`iic* at ichsmb?`

# DESCRIPTION

The `ichsmb` driver provides support for the Intel chipset internal SMBus host interface to be used with the iic(4) framework.

Supported chipsets:

- ICH series.
- PCH series.
- 63xxESB series.
- C6xx series.

# SEE ALSO

iic(4), intro(4), pci(4)

# HISTORY

The `ichsmb` driver first appeared in NetBSD 5.0. It is based off of the OpenBSD 3.9 “ichiic” driver.

# AUTHORS

The `ichsmb` driver was written by Alexander Yurchenko <grange@openbsd.org>.

# BUGS

The driver doesn't support I2C commands with a data buffer size of more than 2 bytes.

March 16, 2017 | NetBSD 10.0